.TH wxFileDataObject 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxFileDataObject \- See external documentation: wxFileDataObject\&.
.SH DESCRIPTION
.LP
See external documentation: wxFileDataObject <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfiledataobject\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxDataObject 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxFileDataObject()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxFileDataObject()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfiledataobject\&.html#wxfiledataobjectwxfiledataobject>\&.
.RE
.LP
.B
addFile(This::wxFileDataObject(), Filename::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfiledataobject\&.html#wxfiledataobjectaddfile>\&.
.RE
.LP
.B
getFilenames(This::wxFileDataObject()) -> [[string()]]
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfiledataobject\&.html#wxfiledataobjectgetfilenames>\&.
.RE
.LP
.B
destroy(This::wxFileDataObject()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
